#ifndef __ScreenCountdown
#define __ScreenCountdown

#include "ScreenManager.h"

/*
 * Countdown screen
 *   Shows the remaining time.
 */
class ScreenCountdown : public BaseScreen
{
  private:
    int mLastDisplayed;
    
  protected:
    void printRemainingTime();
  
  public:
    ScreenCountdown(ScreenManager* screenManager) : BaseScreen(screenManager) { }
    
    void onShow();
    void onHide();
    
    void onButton();
    void onEncoder(long lastPosition, long newPosition);
    void onTick();
};

#endif
