#ifndef __ScreenSetTime
#define __ScreenSetTime

#include "ScreenManager.h"

/*
 * Time screen
 *   Allows changing of the exposure time. Pressing the button will switch to the menu.
 */
class ScreenSetTime : public BaseScreen
{   
  protected:
    void printExposureTime();
  
  public:
    ScreenSetTime(ScreenManager* screenManager) : BaseScreen(screenManager) { }
    
    void onShow();
    void onHide();
    
    void onButton();
    void onEncoder(long lastPosition, long newPosition);
    void onTick();
};

#endif
