#include "Buzzer.h"
#include <Arduino.h>
#include "Config.h"

void buzzStartup()
{
  tone(PinBuzzer, 1000);
  delay(50);
  noTone(PinBuzzer);  
}


void buzzSelect()
{
  tone(PinBuzzer, 1000);
  delay(1);
  noTone(PinBuzzer);  
}


void buzzClick()
{
  tone(PinBuzzer, 1000);
  delay(25);
  noTone(PinBuzzer);  
}


void buzzCompleted()
{
  for (int i = 0; i < 3; i++)
  {
    tone(PinBuzzer, 1000);
    delay(250);
    noTone(PinBuzzer);    

    delay(500);
  }
}


void buzzMemoryCleared()
{
  for (int i = 0; i < 5; i++)
  {
    tone(PinBuzzer, 1000);
    delay(25);
    noTone(PinBuzzer);    

    delay(250);
  }  
}

