#include "ExposureTimer.h"
#include <EEPROM.h>

unsigned int ExposureTime = 0;
unsigned long ExposureTimerStart = 0;

void ResetExposureTime()
{
  EEPROM.get(0, ExposureTime);
}


void StartExposureTimer(unsigned long currentTime)
{
  EEPROM.put(0, ExposureTime);
  ExposureTimerStart = currentTime;
}

